Debian Bug report logs - #550763
squirrelmail: search bug in release candidate

version graph

Package: squirrelmail; Maintainer for squirrelmail is Jeroen van Wolffelaar <jeroen@wolffelaar.nl>; Source for squirrelmail is src:squirrelmail.

Reported by: Mark Nipper <nipsy@bitgnome.net>

Date: Mon, 12 Oct 2009 18:42:09 UTC

Severity: important

Tags: patch

Merged with 557441

Found in version squirrelmail/2:1.4.20~rc2-1

Fixed in version squirrelmail/2:1.4.20-1

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#550763; Package squirrelmail. (Mon, 12 Oct 2009 18:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Nipper <nipsy@bitgnome.net>:
New Bug report received and forwarded. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. (Mon, 12 Oct 2009 18:42:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Nipper <nipsy@bitgnome.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: squirrelmail: search bug in release candidate
Date: Mon, 12 Oct 2009 13:34:25 -0500
[Message part 1 (text/plain, inline)]
Package: squirrelmail
Version: 2:1.4.20~rc2-1
Severity: important
Tags: patch

	There is a bug in the release candidate version of SquirrelMail
currently in Debian.  This bug breaks search capability against Cyrus
2.2 (the Debian version also).

	The bug report on the SM side is at:
---
http://sourceforge.net/tracker/index.php?func=detail&aid=2846511&group_id=311&atid=100311

	The comments of that bug point to a discussion on the mailing
list which includes a patch for this behavior.
---
http://marc.info/?l=squirrelmail-devel&m=125074103915554&w=2

And the patch itself is at:
---
http://netdork.net/imapsearch_fix.patch

	I'm including that patch file in this bug report.  Please
consider including it in the Debian package until this is fixed with a
newer version of upstream.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages squirrelmail depends on:
ii  apache2-mpm-itk [httpd]  2.2.14-1        multiuser MPM for Apache 2.2
ii  libapache2-mod-php5      5.2.11.dfsg.1-1 server-side, HTML-embedded scripti
ii  perl                     5.10.0-25       Larry Wall's Practical Extraction 
ii  php5                     5.2.11.dfsg.1-1 server-side, HTML-embedded scripti

Versions of packages squirrelmail recommends:
ii  aspell [aspell-bin]    0.60.6-2          GNU Aspell spell-checker
ii  ispell                 3.1.20.0-6        International Ispell (an interacti
ii  php5-mhash             5.2.11.dfsg.1-1   MHASH module for php5
ii  squirrelmail-locales   1.4.18-20090526-1 Translations for the SquirrelMail 
ii  squirrelmail-viewashtm 3.8-2             SquirrelMail plugin: View mails as

Versions of packages squirrelmail suggests:
ii  cyrus-imapd-2.2 [imap-se 2.2.13-16       Cyrus mail system - IMAP support
pn  imapproxy                <none>          (no description available)
ii  php-pear                 5.2.11.dfsg.1-1 PEAR - PHP Extension and Applicati
ii  php5-ldap                5.2.11.dfsg.1-1 LDAP module for php5
ii  php5-recode              5.2.11.dfsg.1-1 recode module for php5
pn  squirrelmail-decode      <none>          (no description available)

-- no debconf information
[imapsearch_fix.patch (text/plain, attachment)]

Merged 550763 557441. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sun, 07 Mar 2010 15:36:06 GMT) Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sun, 07 Mar 2010 15:51:06 GMT) Full text and rfc822 format available.

Notification sent to Mark Nipper <nipsy@bitgnome.net>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 15:51:09 GMT) Full text and rfc822 format available.

Message #12 received at 550763-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 550763-close@bugs.debian.org
Subject: Bug#550763: fixed in squirrelmail 2:1.4.20-1
Date: Sun, 07 Mar 2010 15:47:39 +0000
Source: squirrelmail
Source-Version: 2:1.4.20-1

We believe that the bug you reported is fixed in the latest version of
squirrelmail, which is due to be installed in the Debian FTP archive:

squirrelmail_1.4.20-1.diff.gz
  to main/s/squirrelmail/squirrelmail_1.4.20-1.diff.gz
squirrelmail_1.4.20-1.dsc
  to main/s/squirrelmail/squirrelmail_1.4.20-1.dsc
squirrelmail_1.4.20-1_all.deb
  to main/s/squirrelmail/squirrelmail_1.4.20-1_all.deb
squirrelmail_1.4.20.orig.tar.gz
  to main/s/squirrelmail/squirrelmail_1.4.20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550763@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated squirrelmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 07 Mar 2010 16:26:58 +0100
Source: squirrelmail
Binary: squirrelmail
Architecture: source all
Version: 2:1.4.20-1
Distribution: unstable
Urgency: low
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 squirrelmail - Webmail for nuts
Closes: 550763
Changes: 
 squirrelmail (2:1.4.20-1) unstable; urgency=low
 .
   * New upstream release.
     + Addresses search bug (closes: #550763).
   * Update to policy 3.8.4, no changes necessary.
Checksums-Sha1: 
 c3aad4b79b934e9e61ebba9ad4230f9e5eca74c1 1499 squirrelmail_1.4.20-1.dsc
 234ecf942e7a8fc4baedb9690ec58215ae3a5d95 652846 squirrelmail_1.4.20.orig.tar.gz
 83c3c96f1a73a3c30cff5552705539a2af8935e0 20260 squirrelmail_1.4.20-1.diff.gz
 bea81b3b1babdb84ef8a8c3db7c72ff8075ebc6c 628020 squirrelmail_1.4.20-1_all.deb
Checksums-Sha256: 
 1190bad760ce72ca88cae7f00f940b06ffd3c93cb6b8a0a7d814b0e632e09f7d 1499 squirrelmail_1.4.20-1.dsc
 c9f2267d1812cc1266bed81296bf7a454644b10eb091ce6a5d9d2ed2000cd3f0 652846 squirrelmail_1.4.20.orig.tar.gz
 3e12f53c6655805b122c09ca237cc2b75f90c1ead08e331d18692c7677b6d5da 20260 squirrelmail_1.4.20-1.diff.gz
 6b191b33cabdf59eb19d894c070e101c26393a53d63384dedd981d08533527f0 628020 squirrelmail_1.4.20-1_all.deb
Files: 
 37ccaa7a131dde6253bad87ae8b8c1bf 1499 web optional squirrelmail_1.4.20-1.dsc
 60ffedc61b295650c7695c2b74209294 652846 web optional squirrelmail_1.4.20.orig.tar.gz
 61692bc227bb9af972f54212a9c3695c 20260 web optional squirrelmail_1.4.20-1.diff.gz
 3db896d7db266c3b0f90bef809b5b67c 628020 web optional squirrelmail_1.4.20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJLk8gXAAoJECIIoQCMVaAcT5wH/RQeS1nOWYV4+4i5uydGcBtF
Rds60qcprDzSAF1uZ6gtLTlwfUiaavp9Bus7bUu47mFi/Aul5ciVRB11Q9P+RtWY
G7RWX8XzhE5ZMTec49FfOu8YPfH7jQYyTad/D5AHKa9/ThWUZKDpNZUNaghrG8VP
oQCznFec3ZuEoVY7JDpjeKEbD1acR7o3/uOHvfXjhyaGlDFuzvnoYtjOeTkYAO9I
JjZwubOwxG/ELouTkyuLTUbKvZwhsa7qlKHXMJ8y71yTuyjyDKXpX++MOR/VkIDW
Ec7Q/QEoEhYCZAQq2WbT0/I16UfPI5PtEpAKumSQzBUTiLvuVR8ofui8iFCXlx8=
=6HWB
-----END PGP SIGNATURE-----





Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sun, 07 Mar 2010 15:51:10 GMT) Full text and rfc822 format available.

Notification sent to Richard A Nelson <cowboy@debian.org>:
Bug acknowledged by developer. (Sun, 07 Mar 2010 15:51:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Apr 2010 07:37:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:42:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.